<div class="table-responsive">
    <table class="table table-striped table-hover align-middle">
        <thead>
        <tr>
            <th class="pe-1">
                Date
            </th>
            <th class="pe-1">
                Heure
            </th>
            <th class="pe-1">
                Durée
            </th>
            <th class="pe-1">
                Lieu
            </th>
            <th class="pe-1">
                Visibilité paysans
            </th>
            <th class="pe-1">
                Visibilité utilisateurs
            </th>
            <th class="pe-1">
                Actions
            </th>
        </tr>
        </thead>
        <tbody>
        {% for delivery in deliveries %}
        <tr>
            <td class="pe-1 fw-bold">
                {{ delivery.date_heure|date:"d/m/Y" }}
            </td>
            <td class="pe-1">
                {{ delivery.date_heure|date:"H:i" }}
            </td>
            <td class="pe-1">
                {{ delivery.duree|date:"G" }} h {{ delivery.duree|date:"i" }} min
            </td>
            <td class="pe-1">
                {% if delivery.lieu %}{{ delivery.lieu }}{% else %}-{% endif %}
            </td>
            <td class="pe-1">
                {% if delivery.date_visibilite_paysans != null and not delivery.date_visibilite_paysans|is_past %} Visible le {{ delivery.date_visibilite_paysans|date:"d/m/Y" }} à {{ delivery.date_visibilite_paysans|date:"H:i" }}{% else %}<span class="badge badge-pill bg-success">Visible</span>{% endif %}
            </td>
            <td class="pe-1">
                {% if delivery.date_visibilite_utilisateurs != null and not delivery.date_visibilite_utilisateurs|is_past %} Visible le {{ delivery.date_visibilite_utilisateurs|date:"d/m/Y" }} à {{ delivery.date_visibilite_utilisateurs|date:"H:i" }}{% else %}<span class="badge badge-pill bg-success">Visible</span>{% endif %}
            </td>
            <td class="pe-1">
                <a type="button" class="btn btn-link me-3" href="{% url 'emargement' delivery.id %}">
                    <i class="fas fa-file-signature me-1"></i>Émargement
                </a>
                <a type="button" class="btn btn-link" href="{% url 'delivery_details_admin' delivery.id %}">
                    <i class="fas fa-search me-1"></i>Details
                </a>
            </td>
        </tr>
    {% endfor %}
    {% if deliveries|length == 0 %}
            <tr>
                <td colspan="7" class="text-center">
                Aucun résultat
                </td>
            </tr>
            {% endif %}
        </tbody>
    </table>
</div>